Skip to main content
GET
Get a skill

Authorizations

X-API-Key
string
header
required

Path Parameters

skillName
string
required

Response

Skill details.

id
string
name
string

Lowercase letters, digits, underscores. Used in soul allowed_skills.

label
string
instructions_md
string | null

Behavioral guide injected into the system prompt.

description_md
string | null

Tool description when webhook_url is set.

webhook_url
string | null

When set, the skill is a callable webhook tool.

http_method
enum<string>
default:POST
Available options:
GET,
POST,
PUT,
PATCH,
DELETE
parameters
object
headers
object
is_active
boolean
created_at
string<date-time>